package com.gic.cloud.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * 功能权限集
 * @ClassName: FunctionDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/7/7 4:59 PM 
 */
public class FunctionDTO implements Serializable{
    private static final long serialVersionUID = 6490187238101502822L;

    /**
     * ID
     */
    private Integer functionId;

    /**
     * 名称
     */
    private String functionName;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     * 功能组件，可以多选，英文逗号隔开
     */
    private String functionComponent;

    /**
     * 1：有效 0:无效
     */
    private Integer status;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 授权用户人数
     */
    private Integer memberCount;

    public Integer getFunctionId() {
        return functionId;
    }

    public FunctionDTO setFunctionId(Integer functionId) {
        this.functionId = functionId;
        return this;
    }

    public String getFunctionName() {
        return functionName;
    }

    public FunctionDTO setFunctionName(String functionName) {
        this.functionName = functionName;
        return this;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public FunctionDTO setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    public String getFunctionComponent() {
        return functionComponent;
    }

    public FunctionDTO setFunctionComponent(String functionComponent) {
        this.functionComponent = functionComponent;
        return this;
    }

    public Integer getStatus() {
        return status;
    }

    public FunctionDTO setStatus(Integer status) {
        this.status = status;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public FunctionDTO setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public FunctionDTO setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public Integer getMemberCount() {
        return memberCount;
    }

    public FunctionDTO setMemberCount(Integer memberCount) {
        this.memberCount = memberCount;
        return this;
    }
}
