package com.gic.cloud.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * 用户
 * @ClassName: UserDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/7/6 4:19 PM 
 */
public class UserDTO implements Serializable{
    private static final long serialVersionUID = 4014902960332875554L;

    /**
     * ID
     */
    private Integer userId;

    /**
     * 名称
     */
    private String userName;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 手机号区号
     */
    private String nationCode;

    /**
     * 账号分组ID
     */
    private Integer accountGroupId;

    /**
     * 数据权限集ID
     */
    private Integer dataAuthId;

    /**
     * 功能权限集ID
     */
    private Integer functionAuthId;

    /**
     * 1：有效 0:无效
     */
    private Integer status;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    private Integer memberCount;

    public Integer getUserId() {
        return userId;
    }

    public UserDTO setUserId(Integer userId) {
        this.userId = userId;
        return this;
    }

    public String getUserName() {
        return userName;
    }

    public UserDTO setUserName(String userName) {
        this.userName = userName;
        return this;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public UserDTO setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    public String getPhone() {
        return phone;
    }

    public UserDTO setPhone(String phone) {
        this.phone = phone;
        return this;
    }

    public String getNationCode() {
        return nationCode;
    }

    public UserDTO setNationCode(String nationCode) {
        this.nationCode = nationCode;
        return this;
    }

    public Integer getAccountGroupId() {
        return accountGroupId;
    }

    public UserDTO setAccountGroupId(Integer accountGroupId) {
        this.accountGroupId = accountGroupId;
        return this;
    }

    public Integer getDataAuthId() {
        return dataAuthId;
    }

    public UserDTO setDataAuthId(Integer dataAuthId) {
        this.dataAuthId = dataAuthId;
        return this;
    }

    public Integer getFunctionAuthId() {
        return functionAuthId;
    }

    public UserDTO setFunctionAuthId(Integer functionAuthId) {
        this.functionAuthId = functionAuthId;
        return this;
    }

    public Integer getStatus() {
        return status;
    }

    public UserDTO setStatus(Integer status) {
        this.status = status;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public UserDTO setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public UserDTO setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public Integer getMemberCount() {
        return memberCount;
    }

    public UserDTO setMemberCount(Integer memberCount) {
        this.memberCount = memberCount;
        return this;
    }
}
