package com.gic.cloud.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.cloud.dto.IndexLogDTO;

import java.util.List;

/**
 * @author zhiwj
 * @Description:
 * @date 2020-07-09 15:25
 */
public interface IndexLogApiService {

    /**
     * @Title: listIndexLog
     * @Description:
     * @author zhiwj
     * @param indexId
     * @return com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.cloud.dto.IndexLogDTO>>
     * @throws
     */
    ServiceResponse<List<IndexLogDTO>> listIndexLog(Integer indexId);

    /**
     * @Title: listIndexLog
     * @Description:
     * @author zhiwj
     * @param dataExplainId
     * @return com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.cloud.dto.IndexLogDTO>>
     * @throws
     */
    ServiceResponse<List<IndexLogDTO>> listDataExplainLog(Integer dataExplainId);

}
