package com.gic.cloud.entity;

import java.util.Date;

/**
 * tab_sys_data_auth
 */
public class TabSysDataAuth {
    /**
     * ID
     */
    private Integer dataAuthId;

    /**
     * 名称
     */
    private String dataAuthName;

    /**
     * 
     */
    private Integer enterpriseId;

    /**
     * 线上业绩权限,json数组,[{"channel":1,"storeContent":[1]}]
     */
    private String onlinePerformance;

    /**
     * 门店资源，门店选择器ID
     */
    private Integer storeWidgetId;

    /**
     * 会员卡权限,_23232_23232_，可以多选，下划线隔开
     */
    private String memberCardAuth;

    /**
     * 商品域权限,_23232_23232_，可以多选，下划线隔开
     */
    private String goodsAreaAuth;

    /**
     * 1：有效 0:无效
     */
    private Integer status;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    public Integer getDataAuthId() {
        return dataAuthId;
    }

    public TabSysDataAuth setDataAuthId(Integer dataAuthId) {
        this.dataAuthId = dataAuthId;
        return this;
    }

    public String getDataAuthName() {
        return dataAuthName;
    }

    public TabSysDataAuth setDataAuthName(String dataAuthName) {
        this.dataAuthName = dataAuthName;
        return this;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public TabSysDataAuth setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    public String getOnlinePerformance() {
        return onlinePerformance;
    }

    public TabSysDataAuth setOnlinePerformance(String onlinePerformance) {
        this.onlinePerformance = onlinePerformance;
        return this;
    }

    public Integer getStoreWidgetId() {
        return storeWidgetId;
    }

    public TabSysDataAuth setStoreWidgetId(Integer storeWidgetId) {
        this.storeWidgetId = storeWidgetId;
        return this;
    }

    public String getMemberCardAuth() {
        return memberCardAuth;
    }

    public TabSysDataAuth setMemberCardAuth(String memberCardAuth) {
        this.memberCardAuth = memberCardAuth;
        return this;
    }

    public String getGoodsAreaAuth() {
        return goodsAreaAuth;
    }

    public TabSysDataAuth setGoodsAreaAuth(String goodsAreaAuth) {
        this.goodsAreaAuth = goodsAreaAuth;
        return this;
    }

    public Integer getStatus() {
        return status;
    }

    public TabSysDataAuth setStatus(Integer status) {
        this.status = status;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public TabSysDataAuth setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public TabSysDataAuth setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }
}