package com.gic.cloud.service;

import com.gic.cloud.dto.DataAuthDTO;
import com.gic.cloud.entity.TabSysDataAuth;
import com.github.pagehelper.Page;

import java.util.List;

public interface DataAuthService {

    Integer saveDataAuth(DataAuthDTO dto);

    void editDataAuth(DataAuthDTO dto);

    TabSysDataAuth getDataAuth(Integer dataAuthId);

    boolean isRepeatDataAuthName(Integer enterpriseId, Integer dataAuthId, String dataAuthName);

    int deleteDataAuth(Integer dataAuthId);

    Page<TabSysDataAuth> pageDataAuth(Integer enterpriseId, String dataAuthName, Integer currentPage, Integer pageSize);

    List<TabSysDataAuth> listDataAuth(Integer enterpriseId, String dataAuthName);
}
