package com.gic.cloud.service;

import com.gic.cloud.dto.DataExplainDTO;
import com.gic.cloud.entity.TabDataExplain;
import com.gic.cloud.qo.DataExplainQO;
import com.github.pagehelper.Page;

import java.util.List;

/**
 * @author zhiwj
 * @Description:
 * @date 2020-07-08 10:22
 */
public interface DataExplainService {

    boolean isNameRepeat(String dataName, Integer dataExplainId);

    Integer save(DataExplainDTO dataExplainDTO);

    void update(DataExplainDTO dataExplainDTO);

    TabDataExplain getByDataExplainId(Integer dataExplainId);

    Page<TabDataExplain> listDataExplain(DataExplainQO dataExplainQO);

    List<TabDataExplain> listAllDataExplain(DataExplainQO dataExplainQO);

    void deleteById(Integer dataExplainId);
}
