package com.gic.cloud.service;

import com.gic.cloud.dto.FunctionDTO;
import com.gic.cloud.entity.TabSysFunction;
import com.github.pagehelper.Page;

import java.util.List;

public interface FunctionService {
    Integer saveFunction(FunctionDTO dto);

    void editFunction(FunctionDTO dto);

    TabSysFunction getFunction(Integer functionId);

    boolean isRepeatFunctionName(Integer enterpriseId, Integer functionId, String functionName);

    void deleteFunction(Integer functionId);

    Page<TabSysFunction> pageFunction(Integer enterpriseId, String functionName,
                      Integer currentPage, Integer pageSize);

    List<TabSysFunction> listFunction(Integer enterpriseId, String functionName);
}
