package com.gic.cloud.service;

import com.gic.cloud.dto.IndexDTO;
import com.gic.cloud.entity.TabIndex;
import com.gic.cloud.qo.IndexQO;
import com.github.pagehelper.Page;

import java.util.List;

/**
 * @author zhiwj
 * @Description:
 * @date 2020-07-08 10:20
 */
public interface IndexService {

    boolean isNameRepeat(String name, Integer indexId);

    boolean isCodeRepeat(String code, Integer indexId);

    Integer save(IndexDTO indexDTO);

    void update(IndexDTO indexDTO);

    TabIndex getByIndexId(Integer indexId);

    Page<TabIndex> listIndex(IndexQO indexQO);

    List<TabIndex> listAllIndex(IndexQO indexQO);

    void deleteById(Integer indexId);
}
