package com.gic.cloud.web.vo;

import java.io.Serializable;

public class UserDetailVO implements Serializable{

    private static final long serialVersionUID = -8143187697602019230L;
    /**
     * ID
     */
    private Integer userId;

    /**
     * 名称
     */
    private String userName;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 手机号区号
     */
    private String nationCode;

    /**
     * 账号分组ID
     */
    private Integer accountGroupId;

    /**
     * 数据权限集ID
     */
    private Integer dataAuthId;

    /**
     * 功能权限集ID
     */
    private Integer functionAuthId;


    public Integer getUserId() {
        return userId;
    }

    public UserDetailVO setUserId(Integer userId) {
        this.userId = userId;
        return this;
    }

    public String getUserName() {
        return userName;
    }

    public UserDetailVO setUserName(String userName) {
        this.userName = userName;
        return this;
    }

    public String getPhone() {
        return phone;
    }

    public UserDetailVO setPhone(String phone) {
        this.phone = phone;
        return this;
    }

    public String getNationCode() {
        return nationCode;
    }

    public UserDetailVO setNationCode(String nationCode) {
        this.nationCode = nationCode;
        return this;
    }

    public Integer getAccountGroupId() {
        return accountGroupId;
    }

    public UserDetailVO setAccountGroupId(Integer accountGroupId) {
        this.accountGroupId = accountGroupId;
        return this;
    }

    public Integer getDataAuthId() {
        return dataAuthId;
    }

    public UserDetailVO setDataAuthId(Integer dataAuthId) {
        this.dataAuthId = dataAuthId;
        return this;
    }

    public Integer getFunctionAuthId() {
        return functionAuthId;
    }

    public UserDetailVO setFunctionAuthId(Integer functionAuthId) {
        this.functionAuthId = functionAuthId;
        return this;
    }
}
