package com.gic.cloud.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.cloud.dto.FunctionDTO;

import java.util.List;

public interface FunctionApiService {
    /**
     * 新增功能权限集
     * @Title: saveFunction 
     * @Description:
     * @author guojuxing
     * @param dto 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Integer> 
     */
    ServiceResponse<Integer> saveFunction(FunctionDTO dto);

    ServiceResponse<Void> editFunction(FunctionDTO dto);

    ServiceResponse<Void> deleteFunction(Integer functionId);

    ServiceResponse<Page<FunctionDTO>> pageFunction(Integer enterpriseId, String functionName, Integer currentPage, Integer pageSize);

    ServiceResponse<List<FunctionDTO>> listFunction(Integer enterpriseId, String functionName);

    ServiceResponse<FunctionDTO> getFunction(Integer functionId);
}
