package com.gic.cloud.service;

import com.gic.cloud.dto.DataExplainDTO;
import com.gic.cloud.dto.IndexDTO;
import com.gic.cloud.entity.TabIndexLog;

import java.util.List;

/**
 * @author zhiwj
 * @Description:
 * @date 2020-07-08 10:22
 */
public interface IndexLogService {
    void saveIndexInsertLog(IndexDTO indexDTO);

    void saveIndexUpdateLog(IndexDTO indexDTO, String reason);

    void saveDataExplainInsertLog(DataExplainDTO dataExplainDTO);

    void saveDataExplainUpdateLog(DataExplainDTO dataExplainDTO, String reason);

    List<TabIndexLog> listIndexLog(Integer indexId);

    List<TabIndexLog> listDataExplainLog(Integer dataExplainId);
}
