package com.gic.cloud.service.impl;

import com.gic.cloud.dao.mapper.TabAttentionStoreMapper;
import com.gic.cloud.entity.TabAttentionStore;
import com.gic.cloud.service.StoreAttenttionService;
import com.github.pagehelper.Page;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

@Service("storeAttenttionService")
public class StoreAttentionServiceImpl implements StoreAttenttionService {
    @Autowired
    private TabAttentionStoreMapper tabAttentionStoreMapper;
    @Override
    public int addStoreAttenttion(TabAttentionStore tabAttentionStore) {
        tabAttentionStore.setCreateTime(new Date());
        tabAttentionStore.setUpdateTime(new Date());
        tabAttentionStore.setStatus(1);
        int i = this.tabAttentionStoreMapper.insertSelective(tabAttentionStore);
        return i;
    }

    @Override
    public int removeStoreAttenttion(Integer attentionId) {
        TabAttentionStore tabAttentionStore = this.tabAttentionStoreMapper.selectByPrimaryKey(attentionId);
        tabAttentionStore.setStatus(0);
        int i = this.tabAttentionStoreMapper.updateByPrimaryKey(tabAttentionStore);
        return i;
    }

    @Override
    public Page<TabAttentionStore> pageStoreAttention(Integer userId, Integer enterpriseId) {
        return this.tabAttentionStoreMapper.pageStoreAttention(userId, enterpriseId);
    }
}
