package com.gic.cloud.web.vo;

import java.io.Serializable;

public class UserVO implements Serializable{
    private static final long serialVersionUID = -3942964711245259430L;

    /**
     * ID
     */
    private Integer userId;

    /**
     * 名称
     */
    private String userName;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 手机号区号
     */
    private String nationCode;

    /**
     * 账号分组ID
     */
    private Integer accountGroupId;

    /**
     * 数据权限集ID
     */
    private Integer dataAuthId;

    /**
     * 功能权限集ID
     */
    private Integer functionAuthId;

    private String accountGroupName;

    private String dataAuthName;

    private String functionAuthName;

    public Integer getUserId() {
        return userId;
    }

    public UserVO setUserId(Integer userId) {
        this.userId = userId;
        return this;
    }

    public String getUserName() {
        return userName;
    }

    public UserVO setUserName(String userName) {
        this.userName = userName;
        return this;
    }

    public String getPhone() {
        return phone;
    }

    public UserVO setPhone(String phone) {
        this.phone = phone;
        return this;
    }

    public String getNationCode() {
        return nationCode;
    }

    public UserVO setNationCode(String nationCode) {
        this.nationCode = nationCode;
        return this;
    }

    public Integer getAccountGroupId() {
        return accountGroupId;
    }

    public UserVO setAccountGroupId(Integer accountGroupId) {
        this.accountGroupId = accountGroupId;
        return this;
    }

    public Integer getDataAuthId() {
        return dataAuthId;
    }

    public UserVO setDataAuthId(Integer dataAuthId) {
        this.dataAuthId = dataAuthId;
        return this;
    }

    public Integer getFunctionAuthId() {
        return functionAuthId;
    }

    public UserVO setFunctionAuthId(Integer functionAuthId) {
        this.functionAuthId = functionAuthId;
        return this;
    }

    public String getAccountGroupName() {
        return accountGroupName;
    }

    public UserVO setAccountGroupName(String accountGroupName) {
        this.accountGroupName = accountGroupName;
        return this;
    }

    public String getDataAuthName() {
        return dataAuthName;
    }

    public UserVO setDataAuthName(String dataAuthName) {
        this.dataAuthName = dataAuthName;
        return this;
    }

    public String getFunctionAuthName() {
        return functionAuthName;
    }

    public UserVO setFunctionAuthName(String functionAuthName) {
        this.functionAuthName = functionAuthName;
        return this;
    }
}
